﻿// Сервис BkEndUI
:service IBkEndUI {614E1F45-71A9-11D4-B997-008048DA0334}
:virt
#if ver >= 8.3.6
	20
#elif ver >= 8.3.5
	19
#else
	18
#endif
#if ver < 8.3
	save int messageBox(const v8string&in text, uint type=0, uint timeout=0, uint caption=0, HWND parent=uint(-1), mbp& param=mbp(), int i1=0, int i2=0, int i3=0)
#else
	save int messageBox(const v8string&in text, uint type=0, uint timeout=0, uint caption=0, HWND parent=uint(-1), mbp& param=mbp(), int i1=0, int i2=0, int i3=0, int i4=0, int i5=0)
#endif
	#if ver >= 8.3.6
		48
	#elif ver >= 8.3.5.823
		44
	#elif ver >= 8.3.3.641
		43
	#elif ver >= 8.3.2.163
		44
	#elif ver >= 8.2.18.44
		43
	#elif ver >= 8.2.16.352
		44
	#else
		43
	#endif
	save int doMsgLine(const v8string&in text, MessageMarker marker=mmNone, const Guid&in g=IID_NULL, int i1=0, IUnknown@ pUnkObject=null, const V8Picture&in customMarker=V8Picture())

:enum MessageMarker
	mmNone
	mmTriangle
	mmExc1
	mmExc2
	mmExc3
	mmInfo

:struct mbp
:props
	int i1
	int i2
	int p1
	int p2
	int i3
	uint8 c1
:meths
	void ctor()
	{
		obj.i1 = obj.i2 = obj.i3 = 0;
		obj.p1 = obj.p2 = obj.self;
		obj.c1 = 2;
	}
	---

:global
:meths
	IBkEndUI@ getBkEndUI()
	{
		return currentProcess().getService(IID_IBkEndUI);
	}
	---
	void Message(const string&in text, MessageMarker mm=mmNone)
	{
		getBkEndUI().doMsgLine(text, mm);
	}
	void MsgBox(const string& text, uint type=0)
	{
		getBkEndUI().messageBox(text, type);
	}
	---
